;素人総合Wiki用検索設定
;  http://sougouwiki.com/

;  総合Wikiは型番／シリーズごとのまとめと出演者まとめなどが混在しており検索結果が不安定なため、
;　正しい検索結果が返ることの期待値が低い。
;　検索の内容によっては大量の検索結果が返り、いつまでも処理が終わらない状態に陥ることもあるので注意。

[generic]

SiteName=総合Wiki
TopPage=http://sougouwiki.com/
;文字コードはEUC
PageEncoding=EUC-JP

;サイト固有の型番生成。ABC-123形式に統一する
ProductCodePrepareScript=SougouWiki_ProductCode_Prepare.ps1

[search]
1=http://sougouwiki.com/search?keywords={PRODUCTCODE}

[TitleList.1]

BodyFilter=class="result-box"(.*)class="paging-bottom"
Regex=<h3\s*?class="keyword">.*?href="(?<url>http://sougouwiki\.com/d/[^"]*)"

[Title.1]

; 検索した型番を含んでいること。書式が異なる出演者まとめのページがヒットしても使用しないよう型番の前に>があることをマーカーとする。
Marker=>[0-9]*{PRODUCTCODE}
; タイトル詳細の切り出し。総合Wikiは個別タイトルのページが存在しないため、タイトルに関する行のみを抽出
BodyFilter=({PRODUCTCODE}.*?)</tr>
; パッケージ画像、サムネイル、タイトル、発売日 (画像がある場合)
1=(?<productcode>{PRODUCTCODE}).*?href="(?<pkgimgurl>[^"]*)".*?class="outlink".*?src="(?<thumburl>[^"]*)".*?<td>(?<title>[^<]*?)</td>.*?<td>(?<releasedate>[0-9]{4}-[0-9]{2}-[0-9]{2})</td>
; タイトル、発売日 (画像がない場合)
2=class="outlink".*?>(?<productcode>{PRODUCTCODE}).*?<td>(?<title>[^<]*?)</td>.*?<td>(?<releasedate>[0-9]{4}-[0-9]{2}-[0-9]{2})</td>
; 出演者（個別ページあり）
3=href="http://sougouwiki.com/d/[^>]*?>(?<cast>[^<]*)[^<]*</a>
; 出演者（個別ページなし）
4=<span\s*?style=[^>]*>(?<cast>[^<]*)</span>
